> For the complete documentation index, see [llms.txt](https://docs.edgetag.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.edgetag.io/channels/open-ai-ads/faq.md).

# FAQ

### Does Open AI Ads support browser and server events?

Yes.

EdgeTag always sends server-side events when both the **Pixel ID** and **Conversions API key** are configured.

You can also enable the browser pixel to send events directly from the browser.

### What happens if only the Pixel ID is configured?

If **Browser Pixel** is enabled, EdgeTag sends browser events only.

If **Browser Pixel** is disabled, EdgeTag does not send events.

### How does deduplication work?

When browser and server delivery are both enabled, both flows use the same event ID.

This allows Open AI Ads to deduplicate matching events.

### Are custom events sent from the browser?

No.

Custom events generated dynamically by EdgeTag are server-side only.

### How is click attribution handled?

EdgeTag resolves the `oppref` value from the `__oppref` cookie first.

If the cookie is not present, EdgeTag uses the `?oppref=` URL parameter.

That value is included with each event.

### Do I need to create conversion events in Open AI Ads?

Yes.

Create the conversion events in Open AI Ads before you use them in campaigns.

### Which events are supported?

EdgeTag maps these standard events to Open AI Ads event types:

| Standard event             | Open AI Ads event type   |
| -------------------------- | ------------------------ |
| Purchase                   | `order_created`          |
| AddToCart                  | `items_added`            |
| ViewContent                | `contents_viewed`        |
| InitiateCheckout           | `checkout_started`       |
| Lead                       | `lead_created`           |
| PageView                   | `page_viewed`            |
| CompleteRegistration       | `registration_completed` |
| Schedule / BookAppointment | `appointment_scheduled`  |
| Subscribe                  | `subscription_created`   |
| StartTrial                 | `trial_started`          |
| Custom                     | `custom`                 |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.edgetag.io/channels/open-ai-ads/faq.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
